package com.mime.dualscreenview.common

import com.mime.dualscreenview.R

typealias PairArray<T> = Array<Pair<String,T>>
val colorz : PairArray<Array<String>> = arrayOf<Pair<String,Array<String>>>(
    Pair("color set 01",arrayOf<String>("#E1F5FE", "#263238")),
    Pair("color set 02",arrayOf<String>("#F0F4C3", "#37474F")),
    Pair("color set 03",arrayOf<String>("#ECEFF1", "#455A64")),
    Pair("color set 04",arrayOf<String>("#E0F7FA", "#263238")),
    Pair("color set 05",arrayOf<String>("#F5F5F5", "#263238")),
    Pair("color set 06",arrayOf<String>("#ECEFF1", "#263238")),
    Pair("color set 07",arrayOf<String>("#F8BBD0", "#263238")),
    Pair("color set 08",arrayOf<String>("#E6EE9C", "#455A64")),
    Pair("color set 09",arrayOf<String>("#CFD8DC", "#455A64")),
    Pair("color set 10",arrayOf<String>("#FFF59D", "#37474F")),
    Pair("color set 21",arrayOf<String>("#263238","#E1F5FE")),
    Pair("color set 22",arrayOf<String>("#37474F","#F0F4C3")),
    Pair("color set 23",arrayOf<String>("#455A64","#ECEFF1")),
    Pair("color set 24",arrayOf<String>("#263238","#E0F7FA")),
    Pair("color set 25",arrayOf<String>("#263238","#F5F5F5")),
    Pair("color set 26",arrayOf<String>("#263238","#ECEFF1")),
    Pair("color set 27",arrayOf<String>("#263238","#F8BBD0")),
    Pair("color set 28",arrayOf<String>("#455A64","#E6EE9C")),
    Pair("color set 29",arrayOf<String>("#455A64","#CFD8DC")),
    Pair("color set 30",arrayOf<String>("#37474F","#FFF59D")),
    Pair("color set 31",arrayOf<String>("#FFFFFF","#1C1B1B")),
    Pair("color set 32",arrayOf<String>("#272727","#FFFFFF")),
    Pair("color set 33",arrayOf<String>("#1C1B1B","#FFFFFF")),
    Pair("color set 34",arrayOf<String>("#FFFFFF","#272727"))
)
val typesfacez : PairArray<Int> = arrayOf<Pair<String,Int>>(
    Pair("정선 아리랑 혼", R.font.jsarirang_hon),
    Pair("정선 아리랑 뿌리", R.font.jsarirang_ppuri),
    Pair("정선 동강 레귤러", R.font.jsdongkang_regular),
    Pair("손기정체", R.font.kcc_sonkeechung),
    Pair("교보 손글씨", R.font.kyobo_handwriting_2021sjy),
    Pair("태백 은하수", R.font.taebaek_milkyway),
    Pair("taebaek_milkyway",R.font.taebaek_milkyway),
            Pair("kccahnjunggeun",R.font.kccahnjunggeun),
            Pair("kotra_songeulssi",R.font.kotra_songeulssi),
            Pair("kotra_bold",R.font.kotra_bold),
            Pair("cafe24oneprettynight",R.font.cafe24oneprettynight),
            Pair("nnsgc_wsjidyp",R.font.nnsgc_wsjidyp),
            Pair("nnsgc_yjc",R.font.nnsgc_yjc),
            Pair("nnsgc_brhp",R.font.nnsgc_brhp),
            Pair("nnsgc_md",R.font.nnsgc_md),
            Pair("nnsgc_gd_an_gd",R.font.nnsgc_gd_an_gd),
            Pair("dovemayo",R.font.dovemayo),
            Pair("gabia_solmee",R.font.gabia_solmee),
            Pair("ylee_mortal_heart_immortal_memory",R.font.ylee_mortal_heart_immortal_memory),
            Pair("kcc_kimhoon",R.font.kcc_kimhoon),
            Pair("taefont_tsthlml",R.font.taefont_tsthlml),
            Pair("ssshinb7",R.font.ssshinb7),
            Pair("godomaum",R.font.godomaum),
            Pair("tvn_jguiyg_medium",R.font.tvn_jguiyg_medium),
            Pair("tvn_jguiyg_light",R.font.tvn_jguiyg_light),
            Pair("on_jsuhr",R.font.on_jsuhr),
            Pair("on_jsuhl",R.font.on_jsuhl),
            Pair("on_ychyuhr",R.font.on_ychyuhr),
            Pair("on_ychyuhl",R.font.on_ychyuhl),
            Pair("on_treeususimgul_r",R.font.on_treeususimgul_r),
            Pair("on_treeususimgul",R.font.on_treeususimgul),
            Pair("on_wibsr",R.font.on_wibsr),
            Pair("on_wisbl",R.font.on_wisbl),
            Pair("on_sbsjl",R.font.on_sbsjl),
            Pair("on_sbsjr",R.font.on_sbsjr),
            Pair("wandohoper",R.font.wandohoper),
            Pair("ebs_r",R.font.ebs_r),
)

@JvmName("getIndexAny")
fun PairArray<Any>.getIndex(key : String) = getIndex(this, key)
fun getIndex(collection : PairArray<Any>, key : String) : Int {
    var index = 0
    var returns = 0
    for (item in collection) {
        if(item.first.equals(key)) {
            returns = index
        }
        index = index.inc()
    }
    return returns
}